Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Usage of xbt_new0 instead calloc
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27 VPATH = @srcdir@
28 pkgdatadir = $(datadir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkgincludedir = $(includedir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 target_triplet = @target@
46 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/print_null.m4 \
58         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = run_tests
64 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
65         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
66 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
67         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
68         surf/surf_usage2$(EXEEXT)
69 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
70 simdag_sd_test_SOURCES = simdag/sd_test.c
71 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
72 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
73 am__dirstamp = $(am__leading_dot)dirstamp
74 surf_lmm_usage_SOURCES = surf/lmm_usage.c
75 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
76 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
78 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
79 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
80 surf_surf_usage_SOURCES = surf/surf_usage.c
81 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
82 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
83 surf_surf_usage2_SOURCES = surf/surf_usage2.c
84 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
85 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
86 surf_trace_usage_SOURCES = surf/trace_usage.c
87 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
88 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_context_usage_SOURCES = xbt/context_usage.c
90 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
91 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
92 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
93 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
94 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
95 xbt_heap_bench_SOURCES = xbt/heap_bench.c
96 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
97 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
98 xbt_log_usage_SOURCES = xbt/log_usage.c
99 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
100 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
101 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
102 depcomp = $(SHELL) $(top_srcdir)/depcomp
103 am__depfiles_maybe = depfiles
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
107         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
108         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
109 CCLD = $(CC)
110 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
111         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
112         $(LDFLAGS) -o $@
113 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
114         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
115         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
116         xbt/log_usage.c
117 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
118         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
119         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
120         xbt/log_usage.c
121 ETAGS = etags
122 CTAGS = ctags
123 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
124 ACLOCAL = @ACLOCAL@
125 ADDR2LINE = @ADDR2LINE@
126 AMTAR = @AMTAR@
127 AM_CPPFLAGS = @AM_CPPFLAGS@
128 AR = @AR@
129 AS = @AS@
130 AUTOCONF = @AUTOCONF@
131 AUTOHEADER = @AUTOHEADER@
132 AUTOMAKE = @AUTOMAKE@
133 AWK = @AWK@
134 BASH = @BASH@
135 CC = @CC@
136 CCDEPMODE = @CCDEPMODE@
137 CFLAGS = @CFLAGS@
138 CPP = @CPP@
139 CPPFLAGS = @CPPFLAGS@
140 CXX = @CXX@
141 CXXCPP = @CXXCPP@
142 CXXDEPMODE = @CXXDEPMODE@
143 CXXFLAGS = @CXXFLAGS@
144 CYGPATH_W = @CYGPATH_W@
145 DEFS = @DEFS@
146 DEPDIR = @DEPDIR@
147 DLLTOOL = @DLLTOOL@
148 DOXYGEN = @DOXYGEN@
149 ECHO = @ECHO@
150 ECHO_C = @ECHO_C@
151 ECHO_N = @ECHO_N@
152 ECHO_T = @ECHO_T@
153 EGREP = @EGREP@
154 EXEEXT = @EXEEXT@
155 FLEXML = @FLEXML@
156 GCJ = @GCJ@
157 GCJDEPMODE = @GCJDEPMODE@
158 GCJFLAGS = @GCJFLAGS@
159 GRAS_DEP = @GRAS_DEP@
160 GREP = @GREP@
161 INSTALL = @INSTALL@
162 INSTALL_DATA = @INSTALL_DATA@
163 INSTALL_PROGRAM = @INSTALL_PROGRAM@
164 INSTALL_SCRIPT = @INSTALL_SCRIPT@
165 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
166 JAR = @JAR@
167 JAVA = @JAVA@
168 JAVAC = @JAVAC@
169 LDFLAGS = @LDFLAGS@
170 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
171 LEX = @LEX@
172 LEXLIB = @LEXLIB@
173 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
174 LIBOBJS = @LIBOBJS@
175 LIBS = @LIBS@
176 LIBTOOL = @LIBTOOL@
177 LN_S = @LN_S@
178 LTLIBOBJS = @LTLIBOBJS@
179 MAINT = @MAINT@
180 MAKEINFO = @MAKEINFO@
181 MD5SUM = @MD5SUM@
182 MKDIR_P = @MKDIR_P@
183 OBJDUMP = @OBJDUMP@
184 OBJEXT = @OBJEXT@
185 PACKAGE = @PACKAGE@
186 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
187 PACKAGE_NAME = @PACKAGE_NAME@
188 PACKAGE_STRING = @PACKAGE_STRING@
189 PACKAGE_TARNAME = @PACKAGE_TARNAME@
190 PACKAGE_VERSION = @PACKAGE_VERSION@
191 PATH_SEPARATOR = @PATH_SEPARATOR@
192 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
193 RANLIB = @RANLIB@
194 SED = @SED@
195 SET_MAKE = @SET_MAKE@
196 SHELL = @SHELL@
197 SIMGRID_DEP = @SIMGRID_DEP@
198 SMPI_DEP = @SMPI_DEP@
199 STRIP = @STRIP@
200 VERSION = @VERSION@
201 WARNING = @WARNING@
202 abs_builddir = @abs_builddir@
203 abs_srcdir = @abs_srcdir@
204 abs_top_builddir = @abs_top_builddir@
205 abs_top_srcdir = @abs_top_srcdir@
206 ac_configure_args = @ac_configure_args@
207 ac_ct_CC = @ac_ct_CC@
208 ac_ct_CXX = @ac_ct_CXX@
209 am__include = @am__include@
210 am__leading_dot = @am__leading_dot@
211 am__quote = @am__quote@
212 am__tar = @am__tar@
213 am__untar = @am__untar@
214 bindir = @bindir@
215 build = @build@
216 build_alias = @build_alias@
217 build_cpu = @build_cpu@
218 build_id = @build_id@
219 build_os = @build_os@
220 build_vendor = @build_vendor@
221 builddir = @builddir@
222 datadir = @datadir@
223 datarootdir = @datarootdir@
224 docdir = @docdir@
225 dvidir = @dvidir@
226 exec_prefix = @exec_prefix@
227 host = @host@
228 host_alias = @host_alias@
229 host_cpu = @host_cpu@
230 host_os = @host_os@
231 host_vendor = @host_vendor@
232 htmldir = @htmldir@
233 includedir = @includedir@
234 infodir = @infodir@
235 install_sh = @install_sh@
236 libdir = @libdir@
237 libexecdir = @libexecdir@
238 localedir = @localedir@
239 localstatedir = @localstatedir@
240 mandir = @mandir@
241 mkdir_p = @mkdir_p@
242 oldincludedir = @oldincludedir@
243 pdfdir = @pdfdir@
244 prefix = @prefix@
245 program_transform_name = @program_transform_name@
246 psdir = @psdir@
247 pth_skaddr_makecontext = @pth_skaddr_makecontext@
248 pth_sksize_makecontext = @pth_sksize_makecontext@
249 sbindir = @sbindir@
250 sharedstatedir = @sharedstatedir@
251 srcdir = @srcdir@
252 sysconfdir = @sysconfdir@
253 target = @target@
254 target_alias = @target_alias@
255 target_cpu = @target_cpu@
256 target_os = @target_os@
257 target_vendor = @target_vendor@
258 top_builddir = @top_builddir@
259 top_srcdir = @top_srcdir@
260 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
261 AM_CFLAGS = -g
262 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
263 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
264 EXTRA_DIST = run_tests.in \
265   xbt/graph.xml \
266   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
267   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
268
269
270 # Test stuff
271 xbt_tests = \
272         xbt/log_usage                                            \
273         xbt/heap_bench                                           \
274         xbt/graphxml_usage                                       \
275         xbt/context_usage                                        
276
277 SG_tests = \
278         surf/maxmin_bench surf/lmm_usage \
279         surf/trace_usage surf/surf_usage surf/surf_usage2
280
281 simdag_tests = simdag/sd_test
282 check_SCRIPTS = run_tests 
283 TESTS = run_tests
284
285 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
286 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
287 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
288 xbt_log_usage_LDADD = $(LDADD_RL)
289 xbt_heap_bench_LDADD = $(LDADD_RL)
290 xbt_graphxml_usage_LDADD = $(LDADD_SG)
291 xbt_context_usage_LDADD = $(LDADD_SG)
292 surf_maxmin_bench_LDADD = $(LDADD_SG)
293 surf_lmm_usage_LDADD = $(LDADD_SG)
294 surf_trace_usage_LDADD = $(LDADD_SG)
295 surf_surf_usage_LDADD = $(LDADD_SG)
296 surf_surf_usage2_LDADD = $(LDADD_SG)
297 simdag_sd_test_LDADD = $(LDADD_SG)
298 all: all-am
299
300 .SUFFIXES:
301 .SUFFIXES: .c .lo .o .obj
302 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
303         @for dep in $?; do \
304           case '$(am__configure_deps)' in \
305             *$$dep*) \
306               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
307                 && exit 0; \
308               exit 1;; \
309           esac; \
310         done; \
311         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
312         cd $(top_srcdir) && \
313           $(AUTOMAKE) --gnu  testsuite/Makefile
314 .PRECIOUS: Makefile
315 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
316         @case '$?' in \
317           *config.status*) \
318             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
319           *) \
320             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
321             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
322         esac;
323
324 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
325         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
326
327 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
328         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
329 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
330         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
331 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
332         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
333
334 clean-checkPROGRAMS:
335         @list='$(check_PROGRAMS)'; for p in $$list; do \
336           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
337           echo " rm -f $$p $$f"; \
338           rm -f $$p $$f ; \
339         done
340 simdag/$(am__dirstamp):
341         @$(MKDIR_P) simdag
342         @: > simdag/$(am__dirstamp)
343 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
344         @rm -f simdag/sd_test$(EXEEXT)
345         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
346 surf/$(am__dirstamp):
347         @$(MKDIR_P) surf
348         @: > surf/$(am__dirstamp)
349 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
350         @rm -f surf/lmm_usage$(EXEEXT)
351         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
352 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
353         @rm -f surf/maxmin_bench$(EXEEXT)
354         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
355 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
356         @rm -f surf/surf_usage$(EXEEXT)
357         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
358 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
359         @rm -f surf/surf_usage2$(EXEEXT)
360         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
361 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
362         @rm -f surf/trace_usage$(EXEEXT)
363         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
364 xbt/$(am__dirstamp):
365         @$(MKDIR_P) xbt
366         @: > xbt/$(am__dirstamp)
367 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
368         @rm -f xbt/context_usage$(EXEEXT)
369         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
370 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
371         @rm -f xbt/graphxml_usage$(EXEEXT)
372         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
373 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
374         @rm -f xbt/heap_bench$(EXEEXT)
375         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
376 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
377         @rm -f xbt/log_usage$(EXEEXT)
378         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
379
380 mostlyclean-compile:
381         -rm -f *.$(OBJEXT)
382
383 distclean-compile:
384         -rm -f *.tab.c
385
386 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
395 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
396
397 .c.o:
398 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
399 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
400 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
402 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
403
404 .c.obj:
405 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
406 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
407 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
409 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
410
411 .c.lo:
412 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
413 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
414 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
416 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
417
418 sd_test.o: simdag/sd_test.c
419 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
420 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
421 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
423 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
424
425 sd_test.obj: simdag/sd_test.c
426 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
427 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
428 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
430 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
431
432 lmm_usage.o: surf/lmm_usage.c
433 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
434 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
437 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
438
439 lmm_usage.obj: surf/lmm_usage.c
440 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
441 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
444 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
445
446 maxmin_bench.o: surf/maxmin_bench.c
447 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
448 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
449 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
451 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
452
453 maxmin_bench.obj: surf/maxmin_bench.c
454 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
455 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
456 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
458 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
459
460 surf_usage.o: surf/surf_usage.c
461 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
462 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
463 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
465 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
466
467 surf_usage.obj: surf/surf_usage.c
468 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
469 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
470 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
472 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
473
474 surf_usage2.o: surf/surf_usage2.c
475 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
476 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
477 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
479 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
480
481 surf_usage2.obj: surf/surf_usage2.c
482 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
483 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
484 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
486 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
487
488 trace_usage.o: surf/trace_usage.c
489 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
490 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
491 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
493 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
494
495 trace_usage.obj: surf/trace_usage.c
496 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
497 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
498 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
500 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
501
502 context_usage.o: xbt/context_usage.c
503 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
504 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
505 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
507 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
508
509 context_usage.obj: xbt/context_usage.c
510 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
511 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
514 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
515
516 graphxml_usage.o: xbt/graphxml_usage.c
517 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
518 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
521 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
522
523 graphxml_usage.obj: xbt/graphxml_usage.c
524 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
525 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
528 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
529
530 heap_bench.o: xbt/heap_bench.c
531 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
532 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
535 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
536
537 heap_bench.obj: xbt/heap_bench.c
538 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
539 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
542 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
543
544 log_usage.o: xbt/log_usage.c
545 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
546 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
550
551 log_usage.obj: xbt/log_usage.c
552 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
553 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
555 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
556 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
557
558 mostlyclean-libtool:
559         -rm -f *.lo
560
561 clean-libtool:
562         -rm -rf .libs _libs
563
564 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
565         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
566         unique=`for i in $$list; do \
567             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
568           done | \
569           $(AWK) '    { files[$$0] = 1; } \
570                END { for (i in files) print i; }'`; \
571         mkid -fID $$unique
572 tags: TAGS
573
574 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
575                 $(TAGS_FILES) $(LISP)
576         tags=; \
577         here=`pwd`; \
578         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
579         unique=`for i in $$list; do \
580             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
581           done | \
582           $(AWK) '    { files[$$0] = 1; } \
583                END { for (i in files) print i; }'`; \
584         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
585           test -n "$$unique" || unique=$$empty_fix; \
586           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
587             $$tags $$unique; \
588         fi
589 ctags: CTAGS
590 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
591                 $(TAGS_FILES) $(LISP)
592         tags=; \
593         here=`pwd`; \
594         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
595         unique=`for i in $$list; do \
596             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
597           done | \
598           $(AWK) '    { files[$$0] = 1; } \
599                END { for (i in files) print i; }'`; \
600         test -z "$(CTAGS_ARGS)$$tags$$unique" \
601           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
602              $$tags $$unique
603
604 GTAGS:
605         here=`$(am__cd) $(top_builddir) && pwd` \
606           && cd $(top_srcdir) \
607           && gtags -i $(GTAGS_ARGS) $$here
608
609 distclean-tags:
610         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
611
612 check-TESTS: $(TESTS)
613         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
614         srcdir=$(srcdir); export srcdir; \
615         list=' $(TESTS) '; \
616         if test -n "$$list"; then \
617           for tst in $$list; do \
618             if test -f ./$$tst; then dir=./; \
619             elif test -f $$tst; then dir=; \
620             else dir="$(srcdir)/"; fi; \
621             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
622               all=`expr $$all + 1`; \
623               case " $(XFAIL_TESTS) " in \
624               *$$ws$$tst$$ws*) \
625                 xpass=`expr $$xpass + 1`; \
626                 failed=`expr $$failed + 1`; \
627                 echo "XPASS: $$tst"; \
628               ;; \
629               *) \
630                 echo "PASS: $$tst"; \
631               ;; \
632               esac; \
633             elif test $$? -ne 77; then \
634               all=`expr $$all + 1`; \
635               case " $(XFAIL_TESTS) " in \
636               *$$ws$$tst$$ws*) \
637                 xfail=`expr $$xfail + 1`; \
638                 echo "XFAIL: $$tst"; \
639               ;; \
640               *) \
641                 failed=`expr $$failed + 1`; \
642                 echo "FAIL: $$tst"; \
643               ;; \
644               esac; \
645             else \
646               skip=`expr $$skip + 1`; \
647               echo "SKIP: $$tst"; \
648             fi; \
649           done; \
650           if test "$$failed" -eq 0; then \
651             if test "$$xfail" -eq 0; then \
652               banner="All $$all tests passed"; \
653             else \
654               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
655             fi; \
656           else \
657             if test "$$xpass" -eq 0; then \
658               banner="$$failed of $$all tests failed"; \
659             else \
660               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
661             fi; \
662           fi; \
663           dashes="$$banner"; \
664           skipped=""; \
665           if test "$$skip" -ne 0; then \
666             skipped="($$skip tests were not run)"; \
667             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
668               dashes="$$skipped"; \
669           fi; \
670           report=""; \
671           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
672             report="Please report to $(PACKAGE_BUGREPORT)"; \
673             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
674               dashes="$$report"; \
675           fi; \
676           dashes=`echo "$$dashes" | sed s/./=/g`; \
677           echo "$$dashes"; \
678           echo "$$banner"; \
679           test -z "$$skipped" || echo "$$skipped"; \
680           test -z "$$report" || echo "$$report"; \
681           echo "$$dashes"; \
682           test "$$failed" -eq 0; \
683         else :; fi
684
685 distdir: $(DISTFILES)
686         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
687         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
688         list='$(DISTFILES)'; \
689           dist_files=`for file in $$list; do echo $$file; done | \
690           sed -e "s|^$$srcdirstrip/||;t" \
691               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
692         case $$dist_files in \
693           */*) $(MKDIR_P) `echo "$$dist_files" | \
694                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
695                            sort -u` ;; \
696         esac; \
697         for file in $$dist_files; do \
698           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
699           if test -d $$d/$$file; then \
700             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
701             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
702               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
703             fi; \
704             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
705           else \
706             test -f $(distdir)/$$file \
707             || cp -p $$d/$$file $(distdir)/$$file \
708             || exit 1; \
709           fi; \
710         done
711 check-am: all-am
712         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
713         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
714 check: check-am
715 all-am: Makefile
716 installdirs:
717 install: install-am
718 install-exec: install-exec-am
719 install-data: install-data-am
720 uninstall: uninstall-am
721
722 install-am: all-am
723         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
724
725 installcheck: installcheck-am
726 install-strip:
727         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
728           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
729           `test -z '$(STRIP)' || \
730             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
731 mostlyclean-generic:
732
733 clean-generic:
734         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
735
736 distclean-generic:
737         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
738         -rm -f simdag/$(am__dirstamp)
739         -rm -f surf/$(am__dirstamp)
740         -rm -f xbt/$(am__dirstamp)
741         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
742
743 maintainer-clean-generic:
744         @echo "This command is intended for maintainers to use"
745         @echo "it deletes files that may require special tools to rebuild."
746 clean: clean-am
747
748 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
749         mostlyclean-am
750
751 distclean: distclean-am
752         -rm -rf ./$(DEPDIR)
753         -rm -f Makefile
754 distclean-am: clean-am distclean-compile distclean-generic \
755         distclean-tags
756
757 dvi: dvi-am
758
759 dvi-am:
760
761 html: html-am
762
763 info: info-am
764
765 info-am:
766
767 install-data-am:
768
769 install-dvi: install-dvi-am
770
771 install-exec-am:
772
773 install-html: install-html-am
774
775 install-info: install-info-am
776
777 install-man:
778
779 install-pdf: install-pdf-am
780
781 install-ps: install-ps-am
782
783 installcheck-am:
784
785 maintainer-clean: maintainer-clean-am
786         -rm -rf ./$(DEPDIR)
787         -rm -f Makefile
788 maintainer-clean-am: distclean-am maintainer-clean-generic
789
790 mostlyclean: mostlyclean-am
791
792 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
793         mostlyclean-libtool
794
795 pdf: pdf-am
796
797 pdf-am:
798
799 ps: ps-am
800
801 ps-am:
802
803 uninstall-am:
804
805 .MAKE: install-am install-strip
806
807 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
808         clean-checkPROGRAMS clean-generic clean-libtool ctags \
809         distclean distclean-compile distclean-generic \
810         distclean-libtool distclean-tags distdir dvi dvi-am html \
811         html-am info info-am install install-am install-data \
812         install-data-am install-dvi install-dvi-am install-exec \
813         install-exec-am install-html install-html-am install-info \
814         install-info-am install-man install-pdf install-pdf-am \
815         install-ps install-ps-am install-strip installcheck \
816         installcheck-am installdirs maintainer-clean \
817         maintainer-clean-generic mostlyclean mostlyclean-compile \
818         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
819         tags uninstall uninstall-am
820
821
822 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
823         ./run_tests
824 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
825         ./run_tests valgrind
826
827 dist-files:
828         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
829         @echo
830         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
831 # Tell versions [3.59,3.63) of GNU make to not export all variables.
832 # Otherwise a system limit (for SysV at least) may be exceeded.
833 .NOEXPORT: